package cn.cslg.pas.common.utils.handler;

import cn.cslg.pas.common.utils.StringUtils;

public class PatenticsStringHandler implements IProcessData {
    public PatenticsStringHandler() {
    }

    @Override
    public Object processData(Object data, Object splitSymbol) {
        if (!"".equals(splitSymbol)) {
            return StringUtils.changeStringToString(data.toString().replaceAll(" ", "").replaceAll("\n", ""), splitSymbol.toString());
        } else {
            return data.toString().replaceAll(" ", "");
        }
    }
}
